package cz.moneta.test.dsl.payment_engine.login;

import cz.moneta.test.dsl.payment_engine.home.PaymentEngineHomePage;
import cz.moneta.test.harness.support.web.Click;
import cz.moneta.test.harness.support.web.Wait;
import cz.moneta.test.harness.support.web.WebFlow;

public interface InfoAboutFirstLoginPage extends WebFlow<InfoAboutFirstLoginPage> {
    String OK_BUTTON = "//div[@class='x-window']//button[text() = 'OK']";

    @Wait(value = OK_BUTTON, waitSecondsForElement = 60)
    InfoAboutFirstLoginPage waitForOk();

    @Click(OK_BUTTON)
    PaymentEngineHomePage clickOkButton();
}